OpenBrowse
v3 API referencev3/sessions

List Sessions

List sessions with their current status, paginated. Running and finished sessions are both included.

List Sessions. Send this to your own instance, replacing your-host with the hostname it answers on.

curl -X GET "https://your-host/v3/sessions" \
  -H "Authorization: Bearer $OPENBROWSE_API_KEY"
GET
/v3/sessions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

page?Page
Range1 <= value
Default1
page_size?Page Size
Range1 <= value <= 100
Default20

Header Parameters

x-browser-use-api-key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v3/sessions"
{  "sessions": [    {      "id": "string",      "status": "string",      "model": "string",      "title": "string",      "output": null,      "outputSchema": {},      "stepCount": 0,      "lastStepSummary": "string",      "isTaskSuccessful": true,      "liveUrl": "string",      "recordingUrls": [],      "profileId": "string",      "workspaceId": "string",      "proxyCountryCode": "string",      "maxCostUsd": "string",      "totalInputTokens": 0,      "totalOutputTokens": 0,      "llmCostUsd": "0",      "proxyCostUsd": "0",      "browserCostUsd": "0",      "proxyUsedMb": "0",      "totalCostUsd": "0",      "screenshotUrl": "string",      "reasoningEffort": "default",      "failureKind": "string",      "failureStatusCode": 0,      "agentmailEmail": "string",      "integrationsUsed": [],      "createdAt": "string",      "updatedAt": "string"    }  ],  "total": 0,  "page": 0,  "pageSize": 0}